| Method | Endpoint | Parameters |
|---|---|---|
| GET | /github/user | username |
| GET | /github/search | query, limit (default 10) |
| GET | /github/followers | username, limit (default 100) |
| GET | /github/following | username, limit (default 100) |
| GET | /github/orgs | username |
| GET | /github/repos | username, limit (default 100), sort (default “updated”) |
| GET | /github/gists | username, limit (default 100) |
| GET | /github/starred | username, limit (default 100) |
curl -H "Authorization: Bearer <key>" "https://bridge.scrape.rocks/github/user?username=octocat"
import requests
headers = {"Authorization": "Bearer <key>"}
r = requests.get("https://bridge.scrape.rocks/github/user?username=octocat", headers=headers)
print(r.json())
fetch("https://bridge.scrape.rocks/github/user?username=octocat", {
headers: { Authorization: "Bearer <key>" }
})
.then(r => r.json())
.then(console.log)
const response = await fetch("https://bridge.scrape.rocks/github/user?username=octocat", {
headers: { Authorization: "Bearer <key>" }
});
const data = await response.json();
console.log(data);
{
"login": "octocat",
"id": 583231,
"avatar_url": "https://avatars.githubusercontent.com/u/583231?v=4",
"html_url": "https://github.com/octocat",
"name": "The Octocat",
"company": "@github",
"blog": "https://github.blog",
"location": "San Francisco",
"email": null,
"bio": null,
"twitter_username": null,
"public_repos": 8,
"followers": 23203,
"following": 9,
"created_at": "2011-01-25T18:44:36Z",
"updated_at": "2026-06-22T11:32:20Z",
"organizations": []
}
[
{
"id": 1278228938,
"name": "dumps",
"full_name": "wiltingaway/dumps",
"html_url": "https://github.com/wiltingaway/dumps",
"description": null,
"fork": false,
"created_at": "2026-06-23T15:33:34Z",
"updated_at": "2026-06-24T11:46:01Z",
"pushed_at": "2026-06-24T11:45:57Z",
"homepage": null,
"size": 7,
"stargazers_count": 0,
"watchers_count": 0,
"language": "Python",
"forks_count": 0,
"open_issues_count": 0,
"license": null,
"topics": [],
"visibility": "public",
"default_branch": "main"
},
{
"id": 1278192994,
"name": "wiltingaway",
"full_name": "wiltingaway/wiltingaway",
"html_url": "https://github.com/wiltingaway/wiltingaway",
"description": null,
"fork": false,
"created_at": "2026-06-23T14:52:36Z",
"updated_at": "2026-06-23T19:13:26Z",
"pushed_at": "2026-06-23T19:13:14Z",
"homepage": null,
"size": 1094,
"stargazers_count": 0,
"watchers_count": 0,
"language": null,
"forks_count": 0,
"open_issues_count": 0,
"license": null,
"topics": [],
"visibility": "public",
"default_branch": "main"
}
]
[
{
"login": "minimaxir",
"id": 2179708,
"avatar_url": "https://avatars.githubusercontent.com/u/2179708?v=4",
"html_url": "https://github.com/minimaxir",
"type": "User",
"site_admin": false
},
{
"login": "bbatsov",
"id": 103882,
"avatar_url": "https://avatars.githubusercontent.com/u/103882?v=4",
"html_url": "https://github.com/bbatsov",
"type": "User",
"site_admin": false
},
{
"login": "PrettyPrinted",
"id": 15959028,
"avatar_url": "https://avatars.githubusercontent.com/u/15959028?v=4",
"html_url": "https://github.com/PrettyPrinted",
"type": "User",
"site_admin": false
}
]
[
{
"login": "EddieHubCommunity",
"id": 66388388,
"avatar_url": "https://avatars.githubusercontent.com/u/66388388?v=4",
"description": "Community of inclusive Open Source people - Collaboration 1st, Code 2nd! Join our GitHub Org 👇 "
},
{
"login": "klynglabs",
"id": 127297762,
"avatar_url": "https://avatars.githubusercontent.com/u/127297762?v=4",
"description": ""
},
{
"login": "HerculesOptimiser",
"id": 139971757,
"avatar_url": "https://avatars.githubusercontent.com/u/139971757?v=4",
"description": ""
},
{
"login": "Aetherium-Development",
"id": 143876240,
"avatar_url": "https://avatars.githubusercontent.com/u/143876240?v=4",
"description": "Making powerful tools for gamers"
},
{
"login": "Mystic-Development",
"id": 155500035,
"avatar_url": "https://avatars.githubusercontent.com/u/155500035?v=4",
"description": null
},
{
"login": "avenge-bot",
"id": 156531620,
"avatar_url": "https://avatars.githubusercontent.com/u/156531620?v=4",
"description": ""
},
{
"login": "ResyncedDesign",
"id": 169578000,
"avatar_url": "https://avatars.githubusercontent.com/u/169578000?v=4",
"description": "A new Development/Design Team."
},
{
"login": "gentlebot",
"id": 192876833,
"avatar_url": "https://avatars.githubusercontent.com/u/192876833?v=4",
"description": "a free discord bot built to accent your community and automate monotenous tasks."
},
{
"login": "nihilvux",
"id": 195430238,
"avatar_url": "https://avatars.githubusercontent.com/u/195430238?v=4",
"description": ""
}
]
[
{
"login": "SolixFr",
"id": 130551399,
"avatar_url": "https://avatars.githubusercontent.com/u/130551399?v=4",
"html_url": "https://github.com/SolixFr"
},
{
"login": "chrmatic",
"id": 228036643,
"avatar_url": "https://avatars.githubusercontent.com/u/228036643?v=4",
"html_url": "https://github.com/chrmatic"
}
]
[
{
"login": "chrmatic",
"id": 228036643,
"avatar_url": "https://avatars.githubusercontent.com/u/228036643?v=4",
"html_url": "https://github.com/chrmatic"
}
]
[
{
"id": 1101960202,
"name": "sametlibs",
"full_name": "sametexe001/sametlibs",
"html_url": "https://github.com/sametexe001/sametlibs",
"description": null,
"stargazers_count": 25,
"language": "Lua",
"fork": false
},
{
"id": 433769810,
"name": "UI-Libraries",
"full_name": "GhostDuckyy/UI-Libraries",
"html_url": "https://github.com/GhostDuckyy/UI-Libraries",
"description": "Roblox Ui Libraries",
"stargazers_count": 219,
"language": "Lua",
"fork": false
}
]
[
{
"id": "6cad326836d38bd3a7ae",
"html_url": "https://gist.github.com/octocat/6cad326836d38bd3a7ae",
"description": "Hello world!",
"public": true,
"created_at": "2014-10-01T16:19:34Z",
"updated_at": "2026-06-27T23:50:20Z",
"comments": 297,
"files": [
"hello_world.rb"
]
},
{
"id": "0831f3fbd83ac4d46451",
"html_url": "https://gist.github.com/octocat/0831f3fbd83ac4d46451",
"description": "",
"public": true,
"created_at": "2014-07-23T23:15:04Z",
"updated_at": "2026-07-03T00:27:13Z",
"comments": 18,
"files": [
"git-author-rewrite.sh"
]
},
{
"id": "2a6851cde24cdaf4b85b",
"html_url": "https://gist.github.com/octocat/2a6851cde24cdaf4b85b",
"description": "",
"public": true,
"created_at": "2014-07-03T19:33:02Z",
"updated_at": "2025-11-13T01:19:15Z",
"comments": 5,
"files": [
"ssh_key_add.sh"
]
},
{
"id": "9257657",
"html_url": "https://gist.github.com/octocat/9257657",
"description": "Some common .gitignore configurations",
"public": true,
"created_at": "2014-02-27T19:38:27Z",
"updated_at": "2026-07-06T12:25:56Z",
"comments": 293,
"files": [
".gitignore"
]
},
{
"id": "1305321",
"html_url": "https://gist.github.com/octocat/1305321",
"description": "",
"public": true,
"created_at": "2011-10-22T00:18:47Z",
"updated_at": "2026-02-28T09:28:04Z",
"comments": 6,
"files": [
"test.cs"
]
},
{
"id": "1169854",
"html_url": "https://gist.github.com/octocat/1169854",
"description": "",
"public": true,
"created_at": "2011-08-25T02:45:38Z",
"updated_at": "2023-11-12T13:15:07Z",
"comments": 0,
"files": [
"test.cs"
]
},
{
"id": "1169852",
"html_url": "https://gist.github.com/octocat/1169852",
"description": "",
"public": true,
"created_at": "2011-08-25T02:43:53Z",
"updated_at": "2025-03-08T17:45:33Z",
"comments": 3,
"files": [
"test.cs"
]
},
{
"id": "1162032",
"html_url": "https://gist.github.com/octocat/1162032",
"description": "",
"public": true,
"created_at": "2011-08-22T09:46:16Z",
"updated_at": "2025-12-14T02:12:24Z",
"comments": 4,
"files": [
"test.cs"
]
}
]